textures/broken/protolava
{
	
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
        {
		map textures/broken/protolava2.jpg
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/broken/protolava.jpg
                blendfunc blend
		tcMod turb 0 .2 0 .1
	}

}

textures/tom/flames
{
	qer_editorimage textures/sfx/flame1.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 550
	cull none
	{
		videoMap video/flame.roq
		blendfunc add
	}
}

textures/skies/hw_entropic
{
	qer_editorimage env/hw_entropic/entropic_ft.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	surfaceparm sky
	q3map_surfacelight 70
	q3map_sun 1 1 1 100 0 90
	skyparms env/hw_entropic/entropic - -
}

textures/kjtexs/iceyboy
{
	qer_editorimage textures/snow_sd/icelake2.tga
	surfaceparm slick
	surfaceparm nodamage
	tesssize 256

	{
		map textures/effects/envmap_slate_90.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

textures/kjtexs/darkwater_fog
{
     cull none
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
	qer_editorimage textures/kjtexs/darkwater.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
		{ 
		fog on
		map textures/kjtexs/darkwater.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	
	{ 
		fog on
		map textures/kjtexs/darkwaterr.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/kjtexs/darkwaterr.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
}


textures/kjtexs/darkwater
{
     cull none 
	nofog
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
	qer_editorimage textures/kjtexs/darkwater.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
		{ 
		fog on
		map textures/kjtexs/darkwater.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	
	{ 
		fog on
		map textures/kjtexs/darkwaterr.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/kjtexs/darkwaterr.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
}


textures/kjtexs/woodslick
{
	surfaceparm woodsteps
	surfaceparm slick
	surfaceparm nodamage
	implicitMap -
}

textures/kjtexs/construction_blue
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans 
     { 
          map textures/sfx/construction.jpg 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.00 1.00 0.00 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/kjtexs/construction_green
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans 
     { 
          map textures/sfx/construction.jpg 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.00 0.00 1.00 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/kjtexs/construction_red
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans 
     { 
          map textures/sfx/construction.tga
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 1.00 0.00 0.00 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/kjtexs/construction_yellow
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans 
     { 
          map textures/sfx/construction.jpg 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 1.00 1.00 0.00 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/kjtexs/construction_yellow_solid
{ 
     cull none
	 deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans
     { 
          map textures/kjtexs/skate_env.jpg
          blendFunc GL_SRC_ALPHA GL_ONE
          rgbGen const ( 0.95 0.95 0.00 )
		  tcMod scroll 0.025 -0.07625
          tcGen environment
     } 
}

textures/kjtexs/construction_purple
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans 
     { 
          map textures/sfx/construction.jpg 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 1.00 0.00 1.00 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/kjtexs/constfog
{
	qer_editorimage textures/kjtexs/constfog.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	fogparms ( .8 .8 .8 ) 100
}



textures/kjtexs/tick
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/tick.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/tick.tga
}

textures/kjtexs/halfpipejump1
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/halfpipejump1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/halfpipejump1.tga
}

textures/kjtexs/iceyboylight
{
	qer_editorimage textures/kjtexs/icelake2.tga
	surfaceparm slick
	q3map_surfacelight 800

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/kjtexs/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

textures/kjtexs/construction_nonsolid
{ 
     qer_editorimage textures/sfx/construction.tga
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans
     surfaceparm nonsolid 
     { 
          map textures/sfx/construction.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.25 0.25 0.25 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}